Skip to main content

kaia_getStorageAt

POST

Returns the storage slot value at the given address.
param[0]
addressstringrequired
Address is expressed as a 20-byte hexadecimal string, the address format used on EVM-compatible blockchains.
param[1]
positionstringrequired
Represents the slot index in storage. This value is expressed as a hexadecimal string.
param[2]
blockNumberOrHashOrTagstringrequired
Use one of block hash, block number, or block tag to specify the block.
  • Block number: Hexadecimal string (e.g. "0x1")
  • Block hash: 64-digit hexadecimal string (e.g. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
  • Block tag: Enum string (e.g. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "kaia_getStorageAt",
"params": [
"0xdac17f958d2ee523a2206206994597c13d831ec7",
"0x0",
"latest"
]
}'